#
# $Source: /home/nlfm/Working/Zircon/Released/plugins/Sed/RCS/decrypt.tcl,v $
# $Date: 1997/01/09 10:20:25 $
# $Revision: 1.3 $
#
package provide Sed 1.18.1
#
proc decrypt {string key} {
    switch {} $key {return {<ENCRYPTED TEXT>}}
    global zircon
    return [exec $zircon(lib)/plugins/Sed/crypt D "$string" "$key"]
}
#
proc encrypt {string key} {
    global zircon
    return "\001SED [exec $zircon(lib)/plugins/Sed/crypt E "$string" "$key"]\001"
}
